import { deepMerge } from "@copyfrom/deep-merge";
import { Http } from "./http.mjs";
import { useRuntimeConfig } from "#app";
let http = null;
export function useHttp(options = {}) {
  if (!http) {
    const config = useRuntimeConfig().public.http;
    http = new Http(deepMerge(config, options));
  }
  return http;
}
