import type { FetchOptions, FetchParams } from '../module';
export declare class Http {
    private options;
    constructor(options?: FetchOptions);
    create(options?: FetchOptions): Http;
    request<R = any>(url: string, options?: FetchOptions): Promise<import("nitropack").TypedInternalResponse<import("nitropack").NitroFetchRequest, R, "get">>;
    get<R = any>(url: string, params?: FetchParams, options?: FetchOptions): Promise<import("nitropack").TypedInternalResponse<import("nitropack").NitroFetchRequest, R, "get">>;
    post<R = any>(url: string, params?: FetchParams, options?: FetchOptions): Promise<import("nitropack").TypedInternalResponse<import("nitropack").NitroFetchRequest, R, "get">>;
    put<R = any>(url: string, params?: FetchParams, options?: FetchOptions): Promise<import("nitropack").TypedInternalResponse<import("nitropack").NitroFetchRequest, R, "get">>;
    delete<R = any>(url: string, params?: FetchParams, options?: FetchOptions): Promise<import("nitropack").TypedInternalResponse<import("nitropack").NitroFetchRequest, R, "get">>;
}
